# $Revision: 1.20 $, $Date: 2011/08/22 06:35:09 $
Summary:	CFITSIO Interface Library
Summary(pl.UTF-8):	Biblioteka interfejsu CFITSIO
Name:		cfitsio
Version:	3.280
%define	sver	%(echo %{version} | tr -d .)
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sver}.tar.gz
# Source0-md5:	fdb9c0f51678b47e78592c70fb5dc793
Patch0:		%{name}-link.patch
Patch1:		%{name}-ldflags.patch
Patch2:		%{name}-zlib.patch
URL:		http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
BuildRequires:	gcc-g77
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CFITSIO is a library of ANSI C routines for reading and writing FITS
format data files.  A set of Fortran-callable wrapper routines are
also included for the convenience of Fortran programmers.

%description -l pl.UTF-8
CFITSIO to biblioteka funkcji w C do odczytu i zapisu plików z danymi
w formacie FITS. Zawiera także zestaw wrapperów pozwalających na
wywoływanie tych funkcji z programów w Fortranie.

%package devel
Summary:	Header files and documentation for CFITSIO
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do CFITSIO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
Header files and development documentation for CFITSIO.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do CFITSIO.

%package static
Summary:	Static CFITSIO library
Summary(pl.UTF-8):	Statyczna biblioteka CFITSIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of CFITSIO library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki CFITSIO.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p0
%patch2 -p1

# enforce headers from system zlib
%{__rm} crc32.h deflate.h inffast.h inffixed.h inflate.h inftrees.h zconf.h zlib.h zutil.h

%build
%configure

%{__make} shared

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

%{__make} install \
	CFITSIO_LIB=$RPM_BUILD_ROOT%{_libdir} \
	CFITSIO_INCLUDE=$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt README changes.txt
%attr(755,root,root) %{_libdir}/libcfitsio.so

%files devel
%defattr(644,root,root,755)
%doc cfitsio.doc cfitsio.ps fitsio.doc fitsio.ps quick.ps
%{_includedir}/drvrsmem.h
%{_includedir}/fitsio*.h
%{_includedir}/longnam.h
%{_pkgconfigdir}/cfitsio.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcfitsio.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cfitsio.spec,v $
Revision 1.20  2011/08/22 06:35:09  qboosh
- updated to 3.280
- gzip code has been removed, so removed obsolete compress patch and GPL is no longer enforced
- added zlib patch to use system zlib instead of internal copy

Revision 1.19  2010/06/20 17:17:47  qboosh
- updated to 3.250

Revision 1.18  2010/02/07 21:54:06  draenog
- up to 3.240
- link and compress patches

Revision 1.17  2009/04/22 21:36:02  qboosh
- updated to 3.140

Revision 1.16  2008/07/27 23:05:30  arekm
- release 2

Revision 1.15  2008-06-04 17:31:56  qboosh
- updated to 3.080

Revision 1.14  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.12  2006/12/11 22:45:17  qboosh
- added link patch, release 2

Revision 1.11  2006/12/11 00:08:00  qboosh
- updated to 3.020

Revision 1.10  2006/05/28 23:14:03  qboosh
- updated to 3.006
- added hack to be ready for gfortran (gcc 4)

Revision 1.9  2005/02/12 10:06:46  bszx
- updated to 2.510 (new fits_open_diskfile and fits_create_diskfile functions, bugfixes)

Revision 1.8  2004/12/01 20:54:17  qboosh
- updated to 2.500 (new ffexist() function, bugfixes)

Revision 1.7  2004/05/07 17:48:22  qboosh
- updated to 2.490 (with amd64 support)

Revision 1.5  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:46:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/02 13:57:47  radek
- version 2.440 (whatever it's for)

Revision 1.2  2002/07/25 00:55:39  ankry
- autoupdate to 2.420

Revision 1.1  2002/06/21 21:07:40  qboosh
- new
